## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global repo dde-control-center

Name:           deepin-control-center
Version:        6.0.62
Release:        %autorelease
Summary:        New control center for Linux Deepin
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-control-center
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz
# adopted from Arch Linux
Patch0:         https://gitlab.archlinux.org/archlinux/packaging/packages/deepin-control-center/-/raw/main/deepin-control-center-systeminfo-deepin-icon.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
# provides qhelpgenerator
BuildRequires:  qt5-doctools

BuildRequires:  cmake(DtkCore)
BuildRequires:  cmake(DtkWidget)
BuildRequires:  cmake(DtkDConfig)

BuildRequires:  cmake(GTest)
BuildRequires:  cmake(PolkitQt5-1)

BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(libdeepin_pw_check)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(dareader)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-client)

BuildRequires:  libicu-devel

# provides /usr/bin/deepin-desktop-ts-convert
BuildRequires:  deepin-desktop-base
BuildRequires:  doxygen

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:       %{name}-lib%{?_isa} = %{version}-%{release}
Requires:       deepin-account-faces
Requires:       deepin-api
Requires:       deepin-daemon
Requires:       deepin-qt5integration
Requires:       startdde
Requires:       deepin-network-core

%description
New control center for Linux Deepin.

%package        lib
Summary:        Shared library files for %{name}

%description    lib
This package contains shared library files for %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-lib%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}

sed -i 's|lrelease|lrelease-qt5|g' misc/translate_generation.sh
sed -i 's|lupdate|lupdate-qt5|g' misc/lupdate.sh

sed -i 's|systemsettings|preferences-system|' misc/org.deepin.dde.controlcenter.metainfo.xml

%build
%cmake \
    -GNinja \
    -DBUILD_TESTING=OFF \
    -DDISABLE_AUTHENTICATION=ON \
    -DQCH_INSTALL_DESTINATION=%{_qt5_docdir} \
%cmake_build

%install
%cmake_install
%find_lang datetime_country --with-qt
%find_lang datetime_language --with-qt
%find_lang dde-control-center --with-qt
%find_lang keyboard_language --with-qt

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
# appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml

%files -f datetime_country.lang -f datetime_language.lang -f dde-control-center.lang -f keyboard_language.lang
%license LICENSE
%doc README.md
%{_bindir}/dde-control-center
%{_datadir}/applications/org.deepin.dde.control-center.desktop
%{_datadir}/dbus-1/services/*.service
%{_userunitdir}/org.deepin.dde.control-center.service
%{_libdir}/dde-grand-search-daemon/plugins/searcher/org.deepin.dde-grand-search.dde-control-center-setting.conf
%dir %{_libdir}/dde-control-center
%dir %{_libdir}/dde-control-center/modules
%{_libdir}/dde-control-center/modules/libdcc-*.so
%dir %{_datadir}/dde-control-center
%{_datadir}/dde-control-center/developdocument.html
%{_datadir}/dsg/configs/org.deepin.dde.control-center/*.json
%{_datadir}/dsg/configs/org.deepin.region-format.json
%{_datadir}/metainfo/org.deepin.dde.controlcenter.metainfo.xml

%files lib
%{_libdir}/libdcc-interface.so.6*
%{_libdir}/libdcc-widgets.so.6*

%files devel
%{_libdir}/libdcc-interface.so
%{_libdir}/libdcc-widgets.so
%{_includedir}/dde-control-center/
%{_libdir}/cmake/DdeControlCenter/
%{_qt5_docdir}/dde-control-center.qch

%changelog
## START: Generated by rpmautospec
* Wed Sep 11 2024 topazus <topazus@outlook.com> - 6.0.62-2
- qt5 rebuild

* Thu Aug 15 2024 Felix Wang <topazus@outlook.com> - 6.0.62-1
- 6.0.62

* Tue Aug 13 2024 Felix Wang <topazus@outlook.com> - 6.0.61-1
- 6.0.61

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.158-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.158-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.158-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 19 2023 Robin Lee <cheeselee@fedoraproject.org> - 5.5.158-1
- New release 5.5.158

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.77-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.77-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Aug 21 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.77-1
- New release 5.5.77

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.70-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> - 5.4.70-6
- Rebuild (qt5)

* Tue May 17 2022 Jan Grulich <jgrulich@redhat.com> - 5.4.70-5
- Rebuild (qt5)

* Tue Mar 08 2022 Jan Grulich <jgrulich@redhat.com> - 5.4.70-4
- Rebuild (qt5)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.70-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Oct 07 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.4.70-2
- Hide SystemInfo frame since it segfaults on Fedora

* Tue Sep 07 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.4.70-1
- New release 5.4.70

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.0.39-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.0.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Nov 13 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0.39-1
- new upstream release: 5.3.0.39

* Thu Aug  6 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-5
- BR: qt5-qtbase-private-devel
- Applied an upstream patch to fix build with Qt 5.14
- Improve compatibility with new CMake macro

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Dec  1 2019 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-2
- BR pkgconfig(xext)

* Mon Aug 05 2019 Robin Lee <cheeselee@fedoraproject.org> - 5.0.0-1
- Release 5.0.0

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Feb 27 2019 Robin Lee <cheeselee@fedoraproject.org> - 4.9.4-1
- Update to 4.9.4

* Thu Jan 31 2019 mosquito <sensor.wen@gmail.com> - 4.9.2.1-1
- Update to 4.9.2.1

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.8.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 14 2019 Björn Esser <besser82@fedoraproject.org> - 4.8.6-2
- Rebuilt for libcrypt.so.2 (#1666033)

* Sun Dec 23 2018 mosquito <sensor.wen@gmail.com> - 4.8.6-1
- Update to 4.8.6

* Wed Dec 12 2018 mosquito <sensor.wen@gmail.com> - 4.8.2-1
- Update to 4.8.2

* Thu Nov 29 2018 mosquito <sensor.wen@gmail.com> - 4.7.7-1
- Update to 4.7.7

* Wed Nov 21 2018 mosquito <sensor.wen@gmail.com> - 4.7.6.1-1
- Update to 4.7.6.1

* Fri Nov  9 2018 mosquito <sensor.wen@gmail.com> - 4.7.4-1
- Update to 4.7.4

* Sat Aug 25 2018 mosquito <sensor.wen@gmail.com> - 4.6.4-1
- Update to 4.6.4

* Fri Aug 10 2018 mosquito <sensor.wen@gmail.com> - 4.6.3-1
- Update to 4.6.3

* Thu Aug  2 2018 mosquito <sensor.wen@gmail.com> - 4.6.2-1
- Update to 4.6.2

* Fri Jul 27 2018 mosquito <sensor.wen@gmail.com> - 4.6.1-1
- Update to 4.6.1

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 23 2018 mosquito <sensor.wen@gmail.com> - 4.3.7-3
- Exclude ppc64le, ppc64 and aarch64

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Dec  2 2017 mosquito <sensor.wen@gmail.com> - 4.3.7-1
- Update to 4.3.7

* Fri Oct 27 2017 mosquito <sensor.wen@gmail.com> - 4.3.0-1
- Update to 4.3.0

* Thu Sep 21 2017 mosquito <sensor.wen@gmail.com> - 4.2.5.10-1
- Update to 4.2.5.10

* Sun Aug 20 2017 mosquito <sensor.wen@gmail.com> - 4.2.5.4-1
- Update to 4.2.5.4

* Tue Aug  1 2017 mosquito <sensor.wen@gmail.com> - 4.2.5-1
- Update to 4.2.5

* Thu Jul 20 2017 mosquito <sensor.wen@gmail.com> - 4.2.4-1.git21d68b6
- Update to 4.2.4

* Fri Jul 14 2017 mosquito <sensor.wen@gmail.com> - 4.2.3-1.git2f420f2
- Update to 4.2.3

* Fri May 19 2017 mosquito <sensor.wen@gmail.com> - 4.1.2-1.git4d3827b
- Update to 4.1.2

* Sun Feb 26 2017 mosquito <sensor.wen@gmail.com> - 4.0.7-1.git10c3be2
- Update to 4.0.7

* Sat Jan 21 2017 mosquito <sensor.wen@gmail.com> - 3.0.24-1.git481255b
- Downgrade to 3.0.24 for end user

* Sat Jan 21 2017 mosquito <sensor.wen@gmail.com> - 4.0.2-2.git8b1a736
- Fix can not start

* Thu Jan 19 2017 mosquito <sensor.wen@gmail.com> - 4.0.2-1.git8b1a736
- Update to 4.0.2

* Tue Jan 17 2017 mosquito <sensor.wen@gmail.com> - 4.0.1-1.gitd1c1c9a
- Update to 4.0.1

* Tue Dec 27 2016 Jaroslav <cz.guardian@gmail.com> Stepanek 3.0.24-2
- Bump to newer release because of copr signature

* Fri Dec 09 2016 Jaroslav <cz.guardian@gmail.com> Stepanek 3.0.24-1
- Upgrade to 3.0.24

* Sun Oct 09 2016 Jaroslav <cz.guardian@gmail.com> Stepanek 3.0.21-1
- Initial package build

## END: Generated by rpmautospec
